
# TEST ONLY

from ums.messages import Message, Riddle

from typing import Union

from fastapi import FastAPI
from fastapi.responses import PlainTextResponse

app = FastAPI()

@app.get("/")
def read_root():
	return {"Hello": "World"}

@app.get("/test", response_class=PlainTextResponse)
def huhu():
	a = Message(
		id="hu", riddle="lala"
	)
	a.status.steps["extract"] = False
	return a.to_json()


@app.get("/items/{item_id}")
def read_item(item_id: int, q: Union[str, None] = None):
	return {"item_id": item_id, "q": q}